Bug 737162 - ami-33d48976 5.7 x86_64 us-west-1
Summary: ami-33d48976 5.7 x86_64 us-west-1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Cloud Image Validation
Classification: Red Hat
Component: images
Version: RHEL5.7
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: wes hayutin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 19:07 UTC by releng-rhel@redhat.com
Modified: 2011-12-16 15:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-16 15:28:53 UTC


Attachments (Terms of Use)

Description releng-rhel@redhat.com 2011-09-09 19:07:22 UTC

Comment 1 Kedar Bidarkar 2011-09-16 12:47:11 UTC
IMAGE ID= ami-33d48976_us-west-1_m1.large
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
/root/valid/src
ip-10-168-179-62
Red Hat Enterprise Linux Server release 5.7 (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274 
EXPECTED RESULT: 2.6.18-274
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274
RESULT: title RHEL5.7-Server-20110711.5-Server-x86_64-starter-ec2 (2.6.18-274.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
no swap for x86_64 is expected
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
/bin/rpm -Va --nomtime --nosize --nomd5
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.7 
EXPECTED RESULT: 5.7
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | sort -f | tail -n 1
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* |  grep 2fa6
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
repo id                       repo name                                   status
rhui-us-west-rhel-server-1y   Red Hat Enterprise Linux Server 5 (RPMs)    12,035
repolist: 12,035 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Setting up Group Process
Loading mirror speeds from cached hostfile
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Setting up Group Process
Loading mirror speeds from cached hostfile
Package gcc-4.1.2-51.el5.x86_64 already installed and latest version
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-14.el5.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-7.el5 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-51.el5 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-51.el5 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-37.el5_7.1 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1 for package: gettext
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5 set to be updated
---> Package oprofile.x86_64 0:0.9.4-15.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-22.el5 set to be updated
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-5.el5_5.5 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.3-9.el5 set to be updated
--> Processing Dependency: systemtap-runtime = 1.3-9.el5 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-51.el5 set to be updated
---> Package libgomp.i386 0:4.4.4-13.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-51.el5 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
---> Package systemtap-runtime.x86_64 0:1.3-9.el5 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-3 set to be updated
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
--> Running transaction check
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
--> Running transaction check
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Running transaction check
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version          Repository                   Size
================================================================================
Installing:
 autoconf             noarch 2.59-12          rhui-us-west-rhel-server-1y 646 k
 automake             noarch 1.9.6-2.3.el5    rhui-us-west-rhel-server-1y 476 k
 automake14           noarch 1.4p6-13.el5.1   rhui-us-west-rhel-server-1y 200 k
 automake15           noarch 1.5-16.el5.2     rhui-us-west-rhel-server-1y 230 k
 automake16           noarch 1.6.3-8.el5.1    rhui-us-west-rhel-server-1y 241 k
 automake17           noarch 1.7.9-7.el5.2    rhui-us-west-rhel-server-1y 278 k
 bison                x86_64 2.3-2.1          rhui-us-west-rhel-server-1y 549 k
 byacc                x86_64 1.9-29.2.2       rhui-us-west-rhel-server-1y  41 k
 cscope               x86_64 15.5-15.1.el5_3.1

Comment 2 Kedar Bidarkar 2011-09-16 12:47:14 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.3 MB/s |  90 MB     00:27     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.1 MB/s |  59 MB     00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 3 Kedar Bidarkar 2011-09-16 12:47:17 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 4 Kedar Bidarkar 2011-09-16 12:47:48 UTC
IMAGE ID= ami-33d48976_us-west-1_m2.xlarge
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
/root/valid/src
ip-10-160-210-241
Red Hat Enterprise Linux Server release 5.7 (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274 
EXPECTED RESULT: 2.6.18-274
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274
RESULT: title RHEL5.7-Server-20110711.5-Server-x86_64-starter-ec2 (2.6.18-274.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
no swap for x86_64 is expected
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
/bin/rpm -Va --nomtime --nosize --nomd5
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.7 
EXPECTED RESULT: 5.7
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | sort -f | tail -n 1
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* |  grep 2fa6
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
repo id                       repo name                                   status
rhui-us-west-rhel-server-1y   Red Hat Enterprise Linux Server 5 (RPMs)    12,035
repolist: 12,035 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Setting up Group Process
Loading mirror speeds from cached hostfile
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Setting up Group Process
Loading mirror speeds from cached hostfile
Package gcc-4.1.2-51.el5.x86_64 already installed and latest version
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-14.el5.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-7.el5 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-51.el5 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-51.el5 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-37.el5_7.1 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1 for package: gettext
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5 set to be updated
---> Package oprofile.x86_64 0:0.9.4-15.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-22.el5 set to be updated
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-5.el5_5.5 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.3-9.el5 set to be updated
--> Processing Dependency: systemtap-runtime = 1.3-9.el5 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-51.el5 set to be updated
---> Package libgomp.i386 0:4.4.4-13.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-51.el5 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
---> Package systemtap-runtime.x86_64 0:1.3-9.el5 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-3 set to be updated
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
--> Running transaction check
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
--> Running transaction check
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Running transaction check
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version          Repository                   Size
================================================================================
Installing:
 autoconf             noarch 2.59-12          rhui-us-west-rhel-server-1y 646 k
 automake             noarch 1.9.6-2.3.el5    rhui-us-west-rhel-server-1y 476 k
 automake14           noarch 1.4p6-13.el5.1   rhui-us-west-rhel-server-1y 200 k
 automake15           noarch 1.5-16.el5.2     rhui-us-west-rhel-server-1y 230 k
 automake16           noarch 1.6.3-8.el5.1    rhui-us-west-rhel-server-1y 241 k
 automake17           noarch 1.7.9-7.el5.2    rhui-us-west-rhel-server-1y 278 k
 bison                x86_64 2.3-2.1          rhui-us-west-rhel-server-1y 549 k
 byacc                x86_64 1.9-29.2.2       rhui-us-west-rhel-server-1y  41 k
 cscope               x86_64 15.5-15.1.el5_3.1

Comment 5 Kedar Bidarkar 2011-09-16 12:47:51 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           2.9 MB/s |  90 MB     00:31     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.0 MB/s |  59 MB     00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 6 Kedar Bidarkar 2011-09-16 12:47:53 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 7 Kedar Bidarkar 2011-09-16 12:49:36 UTC
IMAGE ID= ami-33d48976_us-west-1_m2.4xlarge
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
/root/valid/src
ip-10-166-197-204
Red Hat Enterprise Linux Server release 5.7 (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274 
EXPECTED RESULT: 2.6.18-274
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274
RESULT: title RHEL5.7-Server-20110711.5-Server-x86_64-starter-ec2 (2.6.18-274.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
no swap for x86_64 is expected
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
/bin/rpm -Va --nomtime --nosize --nomd5
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.7 
EXPECTED RESULT: 5.7
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | sort -f | tail -n 1
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* |  grep 2fa6
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
repo id                       repo name                                   status
rhui-us-west-rhel-server-1y   Red Hat Enterprise Linux Server 5 (RPMs)    12,035
repolist: 12,035 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Setting up Group Process
Loading mirror speeds from cached hostfile
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Setting up Group Process
Loading mirror speeds from cached hostfile
Package gcc-4.1.2-51.el5.x86_64 already installed and latest version
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-14.el5.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-7.el5 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-51.el5 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-51.el5 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-37.el5_7.1 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1 for package: gettext
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5 set to be updated
---> Package oprofile.x86_64 0:0.9.4-15.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-22.el5 set to be updated
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-5.el5_5.5 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.3-9.el5 set to be updated
--> Processing Dependency: systemtap-runtime = 1.3-9.el5 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-51.el5 set to be updated
---> Package libgomp.i386 0:4.4.4-13.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-51.el5 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
---> Package systemtap-runtime.x86_64 0:1.3-9.el5 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-3 set to be updated
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
--> Running transaction check
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
--> Running transaction check
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Running transaction check
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version          Repository                   Size
================================================================================
Installing:
 autoconf             noarch 2.59-12          rhui-us-west-rhel-server-1y 646 k
 automake             noarch 1.9.6-2.3.el5    rhui-us-west-rhel-server-1y 476 k
 automake14           noarch 1.4p6-13.el5.1   rhui-us-west-rhel-server-1y 200 k
 automake15           noarch 1.5-16.el5.2     rhui-us-west-rhel-server-1y 230 k
 automake16           noarch 1.6.3-8.el5.1    rhui-us-west-rhel-server-1y 241 k
 automake17           noarch 1.7.9-7.el5.2    rhui-us-west-rhel-server-1y 278 k
 bison                x86_64 2.3-2.1          rhui-us-west-rhel-server-1y 549 k
 byacc                x86_64 1.9-29.2.2       rhui-us-west-rhel-server-1y  41 k
 cscope               x86_64 15.5-15.1.el5_3.1

Comment 8 Kedar Bidarkar 2011-09-16 12:49:39 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.6 MB/s |  90 MB     00:25     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.6 MB/s |  59 MB     00:12     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 9 Kedar Bidarkar 2011-09-16 12:49:42 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 10 Kedar Bidarkar 2011-09-16 12:51:08 UTC
IMAGE ID= ami-33d48976_us-west-1_c1.xlarge
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
/root/valid/src
ip-10-160-163-239
Red Hat Enterprise Linux Server release 5.7 (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274 
EXPECTED RESULT: 2.6.18-274
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274
RESULT: title RHEL5.7-Server-20110711.5-Server-x86_64-starter-ec2 (2.6.18-274.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
no swap for x86_64 is expected
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
/bin/rpm -Va --nomtime --nosize --nomd5
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.7 
EXPECTED RESULT: 5.7
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | sort -f | tail -n 1
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* |  grep 2fa6
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
repo id                       repo name                                   status
rhui-us-west-rhel-server-1y   Red Hat Enterprise Linux Server 5 (RPMs)    12,035
repolist: 12,035 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Setting up Group Process
Loading mirror speeds from cached hostfile
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Setting up Group Process
Loading mirror speeds from cached hostfile
Package gcc-4.1.2-51.el5.x86_64 already installed and latest version
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-14.el5.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-7.el5 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-51.el5 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-51.el5 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-37.el5_7.1 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1 for package: gettext
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5 set to be updated
---> Package oprofile.x86_64 0:0.9.4-15.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-22.el5 set to be updated
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-5.el5_5.5 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.3-9.el5 set to be updated
--> Processing Dependency: systemtap-runtime = 1.3-9.el5 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-51.el5 set to be updated
---> Package libgomp.i386 0:4.4.4-13.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-51.el5 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
---> Package systemtap-runtime.x86_64 0:1.3-9.el5 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-3 set to be updated
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
--> Running transaction check
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
--> Running transaction check
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Running transaction check
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version          Repository                   Size
================================================================================
Installing:
 autoconf             noarch 2.59-12          rhui-us-west-rhel-server-1y 646 k
 automake             noarch 1.9.6-2.3.el5    rhui-us-west-rhel-server-1y 476 k
 automake14           noarch 1.4p6-13.el5.1   rhui-us-west-rhel-server-1y 200 k
 automake15           noarch 1.5-16.el5.2     rhui-us-west-rhel-server-1y 230 k
 automake16           noarch 1.6.3-8.el5.1    rhui-us-west-rhel-server-1y 241 k
 automake17           noarch 1.7.9-7.el5.2    rhui-us-west-rhel-server-1y 278 k
 bison                x86_64 2.3-2.1          rhui-us-west-rhel-server-1y 549 k
 byacc                x86_64 1.9-29.2.2       rhui-us-west-rhel-server-1y  41 k
 cscope               x86_64 15.5-15.1.el5_3.1

Comment 11 Kedar Bidarkar 2011-09-16 12:51:10 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.0 MB/s |  90 MB     00:30     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.9 MB/s |  59 MB     00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 12 Kedar Bidarkar 2011-09-16 12:51:13 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 13 Kedar Bidarkar 2011-09-16 12:52:44 UTC
IMAGE ID= ami-33d48976_us-west-1_t1.micro
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
/root/valid/src
ip-10-170-89-247
Red Hat Enterprise Linux Server release 5.7 (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274 
EXPECTED RESULT: 2.6.18-274
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274
RESULT: title RHEL5.7-Server-20110711.5-Server-x86_64-starter-ec2 (2.6.18-274.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
/bin/rpm -Va --nomtime --nosize --nomd5
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.7 
EXPECTED RESULT: 5.7
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | sort -f | tail -n 1
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* |  grep 2fa6
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
repo id                       repo name                                   status
rhui-us-west-rhel-server-1y   Red Hat Enterprise Linux Server 5 (RPMs)    12,035
repolist: 12,035 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Setting up Group Process
Loading mirror speeds from cached hostfile
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Setting up Group Process
Loading mirror speeds from cached hostfile
Package gcc-4.1.2-51.el5.x86_64 already installed and latest version
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-14.el5.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.x86_64 already installed and latest version
Package subversion-1.6.11-7.el5_6.4.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-7.el5 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-51.el5 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-51.el5 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-51.el5 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-37.el5_7.1 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1 for package: gettext
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5 set to be updated
---> Package oprofile.x86_64 0:0.9.4-15.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-22.el5 set to be updated
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-5.el5_5.5 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.3-9.el5 set to be updated
--> Processing Dependency: systemtap-runtime = 1.3-9.el5 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-51.el5 set to be updated
---> Package libgomp.i386 0:4.4.4-13.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-51.el5 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
---> Package systemtap-runtime.x86_64 0:1.3-9.el5 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-3 set to be updated
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
--> Running transaction check
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
--> Running transaction check
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Running transaction check
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version          Repository                   Size
================================================================================
Installing:
 autoconf             noarch 2.59-12          rhui-us-west-rhel-server-1y 646 k
 automake             noarch 1.9.6-2.3.el5    rhui-us-west-rhel-server-1y 476 k
 automake14           noarch 1.4p6-13.el5.1   rhui-us-west-rhel-server-1y 200 k
 automake15           noarch 1.5-16.el5.2     rhui-us-west-rhel-server-1y 230 k
 automake16           noarch 1.6.3-8.el5.1    rhui-us-west-rhel-server-1y 241 k
 automake17           noarch 1.7.9-7.el5.2    rhui-us-west-rhel-server-1y 278 k
 bison                x86_64 2.3-2.1          rhui-us-west-rhel-server-1y 549 k
 byacc                x86_64 1.9-29.2.2       rhui-us-west-rhel-server-1y  41 k
 cscope               x86_64 15.5-15.1.el5_3.1
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M

Comment 14 Kedar Bidarkar 2011-09-16 12:52:46 UTC
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.7 MB/s |  90 MB     00:54     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.2 MB/s |  59 MB     00:49     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ...

Comment 15 Kedar Bidarkar 2011-09-16 12:52:49 UTC
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 16 Kedar Bidarkar 2011-09-16 12:54:14 UTC
IMAGE ID= ami-33d48976_us-west-1_m1.large
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274.3.1
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274.3.1
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274.3.1 
EXPECTED RESULT: 2.6.18-274.3.1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274.3.1
RESULT: title Red Hat Enterprise Linux Server (2.6.18-274.3.1.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.3.1.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.3.1.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 7864320 > hwp MEMORY of 7500000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 17 Kedar Bidarkar 2011-09-16 12:54:17 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.3 MB/s |  90 MB     00:27     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.1 MB/s |  59 MB     00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 18 Kedar Bidarkar 2011-09-16 12:54:20 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 19 Kedar Bidarkar 2011-09-16 12:54:48 UTC
IMAGE ID= ami-33d48976_us-west-1_m2.xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274.3.1
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274.3.1
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274.3.1 
EXPECTED RESULT: 2.6.18-274.3.1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274.3.1
RESULT: title Red Hat Enterprise Linux Server (2.6.18-274.3.1.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.3.1.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.3.1.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 17920000 > hwp MEMORY of 17100000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 20 Kedar Bidarkar 2011-09-16 12:54:51 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           2.9 MB/s |  90 MB     00:31     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.0 MB/s |  59 MB     00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 21 Kedar Bidarkar 2011-09-16 12:54:54 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 22 Kedar Bidarkar 2011-09-16 12:57:09 UTC
IMAGE ID= ami-33d48976_us-west-1_m2.4xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274.3.1
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274.3.1
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274.3.1 
EXPECTED RESULT: 2.6.18-274.3.1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274.3.1
RESULT: title Red Hat Enterprise Linux Server (2.6.18-274.3.1.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.3.1.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.3.1.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 71680000 > hwp MEMORY of 68400000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 23 Kedar Bidarkar 2011-09-16 12:57:12 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.6 MB/s |  90 MB     00:25     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.6 MB/s |  59 MB     00:12     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 24 Kedar Bidarkar 2011-09-16 12:57:14 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 25 Kedar Bidarkar 2011-09-16 12:58:10 UTC
IMAGE ID= ami-33d48976_us-west-1_c1.xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274.3.1
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274.3.1
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274.3.1 
EXPECTED RESULT: 2.6.18-274.3.1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274.3.1
RESULT: title Red Hat Enterprise Linux Server (2.6.18-274.3.1.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.3.1.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.3.1.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 7340032 > hwp MEMORY of 7000000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 26 Kedar Bidarkar 2011-09-16 12:58:13 UTC
                                              rhui-us-west-rhel-server-1y 144 k
 ctags                x86_64 5.6-1.1          rhui-us-west-rhel-server-1y 131 k
 cvs                  x86_64 1.11.22-7.el5    rhui-us-west-rhel-server-1y 737 k
 dev86                x86_64 0.16.17-2.2      rhui-us-west-rhel-server-1y 397 k
 diffstat             x86_64 1.41-1.2.3.el5   rhui-us-west-rhel-server-1y  19 k
 dogtail              noarch 0.6.1-4.el5      rhui-us-west-rhel-server-1y 172 k
 doxygen              x86_64 1:1.4.7-1.1      rhui-us-west-rhel-server-1y 2.4 M
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.0 MB/s |  90 MB     00:30     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.9 MB/s |  59 MB     00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################

Comment 27 Kedar Bidarkar 2011-09-16 12:58:16 UTC
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 28 Kedar Bidarkar 2011-09-16 13:00:17 UTC
IMAGE ID= ami-33d48976_us-west-1_t1.micro
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
LATEST_RPM_KERNEL_VERSION=2.6.18-274.3.1
CURRENT_UNAME_KERNAL_VERSION=2.6.18-274.3.1
assert latest rpm kernel = uname -r
COMMAND:  uname -r | sed 's/\(.*\)......./\1/'
RESULT: 2.6.18-274.3.1 
EXPECTED RESULT: 2.6.18-274.3.1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-274.3.1
RESULT: title Red Hat Enterprise Linux Server (2.6.18-274.3.1.el5xen)
        kernel /boot/vmlinuz-2.6.18-274.3.1.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-274.3.1.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 629760 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.7
######################################################################################

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 29 Kedar Bidarkar 2011-09-16 13:00:22 UTC
 elfutils             x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 216 k
 flex                 x86_64 2.5.4a-41.fc6    rhui-us-west-rhel-server-1y 131 k
 gcc-c++              x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.8 M
 gcc-gfortran         x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 3.5 M
 gdb                  x86_64 7.0.1-37.el5_7.1 rhui-us-west-rhel-server-1y 2.4 M
 gettext              i386   0.17-1.el5       rhui-us-west-rhel-server-1y 2.4 M
 indent               x86_64 2.2.9-14.fc6     rhui-us-west-rhel-server-1y  97 k
 libtool              x86_64 1.5.22-7.el5_4   rhui-us-west-rhel-server-1y 667 k
 ltrace               x86_64 0.5-13.45svn.el5 rhui-us-west-rhel-server-1y  62 k
 oprofile             x86_64 0.9.4-15.el5     rhui-us-west-rhel-server-1y 2.6 M
 patchutils           x86_64 0.2.31-2.2.2     rhui-us-west-rhel-server-1y 111 k
 pstack               x86_64 1.2-7.2.2        rhui-us-west-rhel-server-1y 4.6 k
 python-ldap          x86_64 2.2.0-2.1        rhui-us-west-rhel-server-1y 123 k
 rcs                  x86_64 5.7-30.1         rhui-us-west-rhel-server-1y 349 k
 redhat-rpm-config    noarch 8.0.45-32.el5    rhui-us-west-rhel-server-1y  54 k
 rpm-build            x86_64 4.4.2.3-22.el5   rhui-us-west-rhel-server-1y 302 k
 splint               x86_64 3.1.1-16.el5     rhui-us-west-rhel-server-1y 1.5 M
 strace               x86_64 4.5.18-5.el5_5.5 rhui-us-west-rhel-server-1y 177 k
 swig                 x86_64 1.3.29-2.el5     rhui-us-west-rhel-server-1y 2.9 M
 systemtap            x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y 2.4 M
 texinfo              x86_64 4.8-14.el5       rhui-us-west-rhel-server-1y 763 k
 valgrind             i386   1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  20 M
 valgrind             x86_64 1:3.5.0-5.el5    rhui-us-west-rhel-server-1y  21 M
Installing for dependencies:
 GConf2               x86_64 2.14.0-9.el5     rhui-us-west-rhel-server-1y 1.5 M
 ORBit2               x86_64 2.14.3-5.el5     rhui-us-west-rhel-server-1y 262 k
 at-spi               x86_64 1.7.11-3.el5     rhui-us-west-rhel-server-1y 304 k
 audiofile            x86_64 1:0.2.6-5        rhui-us-west-rhel-server-1y 106 k
 avahi                x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y 258 k
 avahi-glib           x86_64 0.6.16-10.el5_6  rhui-us-west-rhel-server-1y  15 k
 elfutils-libs        x86_64 0.137-3.el5      rhui-us-west-rhel-server-1y 183 k
 esound               x86_64 1:0.2.36-3       rhui-us-west-rhel-server-1y 131 k
 gail                 x86_64 1.9.2-3.el5      rhui-us-west-rhel-server-1y 352 k
 gnome-keyring        x86_64 0.6.0-1.fc6      rhui-us-west-rhel-server-1y 166 k
 gnome-mime-data      x86_64 2.4.2-3.1        rhui-us-west-rhel-server-1y 690 k
 gnome-mount          x86_64 0.5-3.el5        rhui-us-west-rhel-server-1y  71 k
 gnome-python2        x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 131 k
 gnome-python2-bonobo x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  71 k
 gnome-python2-gconf  x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  34 k
 gnome-python2-gnomevfs
                      x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y  70 k
 gnome-vfs2           x86_64 2.16.2-8.el5     rhui-us-west-rhel-server-1y 1.3 M
 imake                x86_64 1.0.2-3          rhui-us-west-rhel-server-1y 319 k
 libIDL               x86_64 0.8.7-1.fc6      rhui-us-west-rhel-server-1y  88 k
 libXTrap             x86_64 1.0.0-3.1        rhui-us-west-rhel-server-1y  23 k
 libXevie             x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXfontcache        x86_64 1.0.2-3.1        rhui-us-west-rhel-server-1y 9.8 k
 libXres              x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libXxf86misc         x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  12 k
 libXxf86vm           x86_64 1.0.1-3.1        rhui-us-west-rhel-server-1y  14 k
 libbonobo            x86_64 2.16.0-1.1.el5_5.1
                                              rhui-us-west-rhel-server-1y 524 k
 libbonoboui          x86_64 2.16.0-1.fc6     rhui-us-west-rhel-server-1y 395 k
 libdaemon            x86_64 0.10-5.el5       rhui-us-west-rhel-server-1y  24 k
 libgfortran          x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 244 k
 libgnome             x86_64 2.16.0-6.el5     rhui-us-west-rhel-server-1y 860 k
 libgnomecanvas       x86_64 2.14.0-4.1       rhui-us-west-rhel-server-1y 224 k
 libgnomeui           x86_64 2.16.0-5.el5     rhui-us-west-rhel-server-1y 984 k
 libgomp              i386   4.4.4-13.el5     rhui-us-west-rhel-server-1y  72 k
 libnotify            x86_64 0.4.2-6.el5      rhui-us-west-rhel-server-1y  38 k
 libstdc++-devel      x86_64 4.1.2-51.el5     rhui-us-west-rhel-server-1y 2.8 M
 libwnck              x86_64 2.16.0-4.fc6     rhui-us-west-rhel-server-1y 187 k
 libxslt              x86_64 1.1.17-2.el5_2.2 rhui-us-west-rhel-server-1y 487 k
 notification-daemon  x86_64 0.3.5-9.el5      rhui-us-west-rhel-server-1y  48 k
 pyorbit              x86_64 2.14.1-3.el5     rhui-us-west-rhel-server-1y  50 k
 pyspi                x86_64 0.6.1-1.el5      rhui-us-west-rhel-server-1y  98 k
 shared-mime-info     x86_64 0.19-5.el5       rhui-us-west-rhel-server-1y 149 k
 startup-notification x86_64 0.8-4.1          rhui-us-west-rhel-server-1y  32 k
 systemtap-runtime    x86_64 1.3-9.el5        rhui-us-west-rhel-server-1y  96 k
 xorg-x11-fonts-base  noarch 7.1-2.1.el5      rhui-us-west-rhel-server-1y 3.7 M
 xorg-x11-server-Xvfb x86_64 1.1.1-48.76.el5_6.4
                                              rhui-us-west-rhel-server-1y 1.6 M
 xorg-x11-server-utils
                      x86_64 7.1-5.el5_6.2    rhui-us-west-rhel-server-1y 172 k
 xorg-x11-xauth       x86_64 1:1.0.1-2.1      rhui-us-west-rhel-server-1y  32 k
 xorg-x11-xinit       x86_64 1.0.2-15.el5     rhui-us-west-rhel-server-1y  26 k

Transaction Summary
================================================================================
Install      86 Package(s)
Upgrade       0 Package(s)

Total download size: 90 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.7 MB/s |  90 MB     00:54     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing     : libgnomecanvas                                          1/86 

  Installing     : gnome-keyring                                           2/86 

  Installing     : audiofile                                               3/86 

  Installing     : esound                                                  4/86 

  Installing     : libIDL                                                  5/86 

  Installing     : ORBit2                                                  6/86 

  Installing     : GConf2                                                  7/86 

  Installing     : libbonobo                                               8/86 

  Installing     : pyorbit                                                 9/86 

  Installing     : gail                                                   10/86 

  Installing     : libXfontcache                                          11/86 

  Installing     : libXxf86misc                                           12/86 

  Installing     : libgfortran                                            13/86 

  Installing     : xorg-x11-xauth                                         14/86 

  Installing     : imake                                                  15/86 

  Installing     : libdaemon                                              16/86 

  Installing     : avahi                                                  17/86 

  Installing     : avahi-glib                                             18/86 

  Installing     : libXevie                                               19/86 

  Installing     : at-spi                                                 20/86 

  Installing     : pyspi                                                  21/86 

  Installing     : shared-mime-info                                       22/86 

  Installing     : libxslt                                                23/86 

  Installing     : libXxf86vm                                             24/86 

  Installing     : libXTrap                                               25/86 

  Installing     : xorg-x11-server-utils                                  26/86 

  Installing     : xorg-x11-xinit                                         27/86 

  Installing     : elfutils-libs                                          28/86 

  Installing     : elfutils                                               29/86 

  Installing     : gdb                                                    30/86 

  Installing     : libXres                                                31/86 

  Installing     : startup-notification                                   32/86 

  Installing     : libwnck                                                33/86 

  Installing     : notification-daemon                                    34/86 

  Installing     : libnotify                                              35/86 

  Installing     : rpm-build                                              36/86 

  Installing     : gcc-gfortran                                           37/86 

  Installing     : splint                                                 38/86 

  Installing     : dev86                                                  39/86 

  Installing     : ctags                                                  40/86 

  Installing     : doxygen                                                41/86 

  Installing     : patchutils                                             42/86 

  Installing     : python-ldap                                            43/86 

  Installing     : strace                                                 44/86 

  Installing     : cvs                                                    45/86 

  Installing     : valgrind                                               46/86 

  Installing     : indent                                                 47/86 

  Installing     : texinfo                                                48/86 

  Installing     : flex                                                   49/86 

  Installing     : oprofile                                               50/86 

  Installing     : bison                                                  51/86 

  Installing     : rcs                                                    52/86 

  Installing     : byacc                                                  53/86 

  Installing     : cscope                                                 54/86 

  Installing     : diffstat                                               55/86 

  Installing     : swig                                                   56/86 

  Installing     : ltrace                                                 57/86 

  Installing     : autoconf                                               58/86 

  Installing     : automake                                               59/86 

  Installing     : xorg-x11-fonts-base                                    60/86 

  Installing     : xorg-x11-server-Xvfb                                   61/86 

  Installing     : libstdc++-devel                                        62/86 

  Installing     : systemtap-runtime                                      63/86 

  Installing     : gnome-mime-data                                        64/86 

  Installing     : gcc-c++                                                65/86 

  Installing     : systemtap                                              66/86 

  Installing     : libtool                                                67/86 

  Installing     : automake17                                             68/86 

  Installing     : pstack                                                 69/86 

  Installing     : automake15                                             70/86 

  Installing     : redhat-rpm-config                                      71/86 

  Installing     : automake14                                             72/86 

  Installing     : automake16                                             73/86 

  Installing     : libgomp                                                74/86 

  Installing     : gettext                                                75/86 

  Installing     : valgrind                                               76/86 

  Installing     : gnome-vfs2                                             77/86 

  Installing     : libgnome                                               78/86 

  Installing     : libbonoboui                                            79/86 

  Installing     : libgnomeui                                             80/86 

  Installing     : gnome-mount                                            81/86 

  Installing     : gnome-python2-bonobo                                   82/86 

  Installing     : gnome-python2                                          83/86 

  Installing     : gnome-python2-gconf                                    84/86 

  Installing     : dogtail                                                85/86 

  Installing     : gnome-python2-gnomevfs                                 86/86 

Installed:
  autoconf.noarch 0:2.59-12           automake.noarch 0:1.9.6-2.3.el5          
  automake14.noarch 0:1.4p6-13.el5.1  automake15.noarch 0:1.5-16.el5.2         
  automake16.noarch 0:1.6.3-8.el5.1   automake17.noarch 0:1.7.9-7.el5.2        
  bison.x86_64 0:2.3-2.1              byacc.x86_64 0:1.9-29.2.2                
  cscope.x86_64 0:15.5-15.1.el5_3.1   ctags.x86_64 0:5.6-1.1                   
  cvs.x86_64 0:1.11.22-7.el5          dev86.x86_64 0:0.16.17-2.2               
  diffstat.x86_64 0:1.41-1.2.3.el5    dogtail.noarch 0:0.6.1-4.el5             
  doxygen.x86_64 1:1.4.7-1.1          elfutils.x86_64 0:0.137-3.el5            
  flex.x86_64 0:2.5.4a-41.fc6         gcc-c++.x86_64 0:4.1.2-51.el5            
  gcc-gfortran.x86_64 0:4.1.2-51.el5  gdb.x86_64 0:7.0.1-37.el5_7.1            
  gettext.i386 0:0.17-1.el5           indent.x86_64 0:2.2.9-14.fc6             
  libtool.x86_64 0:1.5.22-7.el5_4     ltrace.x86_64 0:0.5-13.45svn.el5         
  oprofile.x86_64 0:0.9.4-15.el5      patchutils.x86_64 0:0.2.31-2.2.2         
  pstack.x86_64 0:1.2-7.2.2           python-ldap.x86_64 0:2.2.0-2.1           
  rcs.x86_64 0:5.7-30.1               redhat-rpm-config.noarch 0:8.0.45-32.el5 
  rpm-build.x86_64 0:4.4.2.3-22.el5   splint.x86_64 0:3.1.1-16.el5             
  strace.x86_64 0:4.5.18-5.el5_5.5    swig.x86_64 0:1.3.29-2.el5               
  systemtap.x86_64 0:1.3-9.el5        texinfo.x86_64 0:4.8-14.el5              
  valgrind.i386 1:3.5.0-5.el5         valgrind.x86_64 1:3.5.0-5.el5            

Dependency Installed:
  GConf2.x86_64 0:2.14.0-9.el5                                                  
  ORBit2.x86_64 0:2.14.3-5.el5                                                  
  at-spi.x86_64 0:1.7.11-3.el5                                                  
  audiofile.x86_64 1:0.2.6-5                                                    
  avahi.x86_64 0:0.6.16-10.el5_6                                                
  avahi-glib.x86_64 0:0.6.16-10.el5_6                                           
  elfutils-libs.x86_64 0:0.137-3.el5                                            
  esound.x86_64 1:0.2.36-3                                                      
  gail.x86_64 0:1.9.2-3.el5                                                     
  gnome-keyring.x86_64 0:0.6.0-1.fc6                                            
  gnome-mime-data.x86_64 0:2.4.2-3.1                                            
  gnome-mount.x86_64 0:0.5-3.el5                                                
  gnome-python2.x86_64 0:2.16.0-1.fc6                                           
  gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6                                    
  gnome-python2-gconf.x86_64 0:2.16.0-1.fc6                                     
  gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6                                  
  gnome-vfs2.x86_64 0:2.16.2-8.el5                                              
  imake.x86_64 0:1.0.2-3                                                        
  libIDL.x86_64 0:0.8.7-1.fc6                                                   
  libXTrap.x86_64 0:1.0.0-3.1                                                   
  libXevie.x86_64 0:1.0.1-3.1                                                   
  libXfontcache.x86_64 0:1.0.2-3.1                                              
  libXres.x86_64 0:1.0.1-3.1                                                    
  libXxf86misc.x86_64 0:1.0.1-3.1                                               
  libXxf86vm.x86_64 0:1.0.1-3.1                                                 
  libbonobo.x86_64 0:2.16.0-1.1.el5_5.1                                         
  libbonoboui.x86_64 0:2.16.0-1.fc6                                             
  libdaemon.x86_64 0:0.10-5.el5                                                 
  libgfortran.x86_64 0:4.1.2-51.el5                                             
  libgnome.x86_64 0:2.16.0-6.el5                                                
  libgnomecanvas.x86_64 0:2.14.0-4.1                                            
  libgnomeui.x86_64 0:2.16.0-5.el5                                              
  libgomp.i386 0:4.4.4-13.el5                                                   
  libnotify.x86_64 0:0.4.2-6.el5                                                
  libstdc++-devel.x86_64 0:4.1.2-51.el5                                         
  libwnck.x86_64 0:2.16.0-4.fc6                                                 
  libxslt.x86_64 0:1.1.17-2.el5_2.2                                             
  notification-daemon.x86_64 0:0.3.5-9.el5                                      
  pyorbit.x86_64 0:2.14.1-3.el5                                                 
  pyspi.x86_64 0:0.6.1-1.el5                                                    
  shared-mime-info.x86_64 0:0.19-5.el5                                          
  startup-notification.x86_64 0:0.8-4.1                                         
  systemtap-runtime.x86_64 0:1.3-9.el5                                          
  xorg-x11-fonts-base.noarch 0:7.1-2.1.el5                                      
  xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.76.el5_6.4                             
  xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2                                  
  xorg-x11-xauth.x86_64 1:1.0.1-2.1                                             
  xorg-x11-xinit.x86_64 0:1.0.2-15.el5                                          

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, security
Loading mirror speeds from cached hostfile
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package curl.i386 0:7.15.5-9.el5_7.4 set to be updated
---> Package curl.x86_64 0:7.15.5-9.el5_7.4 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package dhclient.x86_64 12:3.0.5-29.el5_7.1 set to be updated
---> Package gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-274.3.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5 set to be installed
---> Package kpartx.x86_64 0:0.4.7-46.el5_7.1 set to be updated
---> Package libXfont.x86_64 0:1.2.2-1.0.4.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-7.1.el5_7.5 set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.1 set to be updated
---> Package net-snmp.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1 set to be updated
---> Package nspr.i386 0:4.8.8-1.el5_7 set to be updated
---> Package nspr.x86_64 0:4.8.8-1.el5_7 set to be updated
---> Package nss.i386 0:3.12.10-4.el5_7 set to be updated
---> Package nss.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package nss-tools.x86_64 0:3.12.10-4.el5_7 set to be updated
---> Package openssh.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-clients.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package openssh-server.x86_64 0:4.3p2-72.el5_7.5 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_7.4 set to be updated
---> Package tzdata.x86_64 0:2011h-2.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version              Repository                   Size
================================================================================
Installing:
 kernel-xen       x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y  21 M
 kernel-xen-devel x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 5.6 M
Updating:
 curl             i386   7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 234 k
 curl             x86_64 7.15.5-9.el5_7.4     rhui-us-west-rhel-server-1y 231 k
 dbus             x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 234 k
 dbus-libs        x86_64 1.1.2-16.el5_7       rhui-us-west-rhel-server-1y 123 k
 device-mapper-multipath
                  x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 3.0 M
 dhclient         x86_64 12:3.0.5-29.el5_7.1  rhui-us-west-rhel-server-1y 286 k
 gdbm             x86_64 1.8.0-26.2.1.el5_6.1 rhui-us-west-rhel-server-1y  28 k
 httpd            x86_64 2.2.3-53.el5_7.1     rhui-us-west-rhel-server-1y 1.2 M
 kernel-headers   x86_64 2.6.18-274.3.1.el5   rhui-us-west-rhel-server-1y 1.3 M
 kpartx           x86_64 0.4.7-46.el5_7.1     rhui-us-west-rhel-server-1y 440 k
 libXfont         x86_64 1.2.2-1.0.4.el5_7    rhui-us-west-rhel-server-1y 245 k
 libpng           x86_64 2:1.2.10-7.1.el5_7.5 rhui-us-west-rhel-server-1y 235 k
 libsmbclient     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 917 k
 lvm2             x86_64 2.02.84-6.el5_7.1    rhui-us-west-rhel-server-1y 3.1 M
 mod_ssl          x86_64 1:2.2.3-53.el5_7.1   rhui-us-west-rhel-server-1y  94 k
 net-snmp         x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 705 k
 net-snmp-libs    x86_64 1:5.3.2.2-14.el5_7.1 rhui-us-west-rhel-server-1y 1.3 M
 nspr             i386   4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 120 k
 nspr             x86_64 4.8.8-1.el5_7        rhui-us-west-rhel-server-1y 119 k
 nss              i386   3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss              x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.1 M
 nss-tools        x86_64 3.12.10-4.el5_7      rhui-us-west-rhel-server-1y 1.2 M
 openssh          x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 289 k
 openssh-clients  x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 452 k
 openssh-server   x86_64 4.3p2-72.el5_7.5     rhui-us-west-rhel-server-1y 278 k
 rsync            x86_64 3.0.6-4.el5_7.1      rhui-us-west-rhel-server-1y 347 k
 samba-client     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 5.7 M
 samba-common     x86_64 3.0.33-3.29.el5_7.4  rhui-us-west-rhel-server-1y 6.8 M
 tzdata           x86_64 2011h-2.el5          rhui-us-west-rhel-server-1y 781 k
 yum-rhn-plugin   noarch 0.5.4-22.el5_7.2     rhui-us-west-rhel-server-1y  63 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      30 Package(s)

Total download size: 59 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.2 MB/s |  59 MB     00:49     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : nspr                                                    1/62 

  Updating       : nss                                                     2/62 

  Updating       : net-snmp-libs                                           3/62 

  Updating       : nspr                                                    4/62 

  Updating       : openssh                                                 5/62 

  Updating       : httpd                                                   6/62 

  Updating       : kpartx                                                  7/62 

  Updating       : lvm2                                                    8/62 

  Updating       : libpng                                                  9/62 

  Updating       : curl                                                   10/62 

  Updating       : libsmbclient                                           11/62 

  Updating       : samba-common                                           12/62 

  Updating       : libXfont                                               13/62 

  Updating       : gdbm                                                   14/62 

  Updating       : samba-client                                           15/62 

  Updating       : device-mapper-multipath                                16/62 

  Updating       : mod_ssl                                                17/62 

  Updating       : openssh-server                                         18/62 

  Updating       : openssh-clients                                        19/62 

  Updating       : net-snmp                                               20/62 

  Updating       : nss-tools                                              21/62 

  Updating       : dhclient                                               22/62 

  Updating       : rsync                                                  23/62 

  Updating       : tzdata                                                 24/62 

  Installing     : kernel-xen                                             25/62 

  Updating       : yum-rhn-plugin                                         26/62 

  Installing     : kernel-xen-devel                                       27/62 

  Updating       : kernel-headers                                         28/62 

  Updating       : nss                                                    29/62 

  Updating       : curl                                                   30/62 

  Updating       : dbus-libs                                              31/62 

  Updating       : dbus                                                   32/62 

  Cleanup        : nspr                                                   33/62 

  Cleanup        : gdbm                                                   34/62 

  Cleanup        : libXfont                                               35/62 

  Cleanup        : kernel-headers                                         36/62 

  Cleanup        : openssh-server                                         37/62 

  Cleanup        : device-mapper-multipath                                38/62 

  Cleanup        : net-snmp                                               39/62 

  Cleanup        : samba-common                                           40/62 

  Cleanup        : rsync                                                  41/62 

  Cleanup        : yum-rhn-plugin                                         42/62 

  Cleanup        : dbus-libs                                              43/62 

  Cleanup        : libsmbclient                                           44/62 

  Cleanup        : httpd                                                  45/62 

  Cleanup        : curl                                                   46/62 

  Cleanup        : nss                                                    47/62 

  Cleanup        : curl                                                   48/62 

  Cleanup        : dhclient                                               49/62 

  Cleanup        : tzdata                                                 50/62 

  Cleanup        : openssh                                                51/62 

  Cleanup        : nss-tools                                              52/62 

  Cleanup        : mod_ssl                                                53/62 

  Cleanup        : libpng                                                 54/62 

  Cleanup        : nspr                                                   55/62 

  Cleanup        : nss                                                    56/62 

  Cleanup        : net-snmp-libs                                          57/62 

  Cleanup        : samba-client                                           58/62 

  Cleanup        : lvm2                                                   59/62 

  Cleanup        : dbus                                                   60/62 

  Cleanup        : kpartx                                                 61/62 

  Cleanup        : openssh-clients                                        62/62 

Installed:
  kernel-xen.x86_64 0:2.6.18-274.3.1.el5                                        
  kernel-xen-devel.x86_64 0:2.6.18-274.3.1.el5                                  

Updated:
  curl.i386 0:7.15.5-9.el5_7.4                                                  
  curl.x86_64 0:7.15.5-9.el5_7.4                                                
  dbus.x86_64 0:1.1.2-16.el5_7                                                  
  dbus-libs.x86_64 0:1.1.2-16.el5_7                                             
  device-mapper-multipath.x86_64 0:0.4.7-46.el5_7.1                             
  dhclient.x86_64 12:3.0.5-29.el5_7.1                                           
  gdbm.x86_64 0:1.8.0-26.2.1.el5_6.1                                            
  httpd.x86_64 0:2.2.3-53.el5_7.1                                               
  kernel-headers.x86_64 0:2.6.18-274.3.1.el5                                    
  kpartx.x86_64 0:0.4.7-46.el5_7.1                                              
  libXfont.x86_64 0:1.2.2-1.0.4.el5_7                                           
  libpng.x86_64 2:1.2.10-7.1.el5_7.5                                            
  libsmbclient.x86_64 0:3.0.33-3.29.el5_7.4                                     
  lvm2.x86_64 0:2.02.84-6.el5_7.1                                               
  mod_ssl.x86_64 1:2.2.3-53.el5_7.1                                             
  net-snmp.x86_64 1:5.3.2.2-14.el5_7.1                                          
  net-snmp-libs.x86_64 1:5.3.2.2-14.el5_7.1                                     
  nspr.i386 0:4.8.8-1.el5_7                                                     
  nspr.x86_64 0:4.8.8-1.el5_7                                                   
  nss.i386 0:3.12.10-4.el5_7                                                    
  nss.x86_64 0:3.12.10-4.el5_7                                                  
  nss-tools.x86_64 0:3.12.10-4.el5_7                                            
  openssh.x86_64 0:4.3p2-72.el5_7.5                                             
  openssh-clients.x86_64 0:4.3p2-72.el5_7.5                                     
  openssh-server.x86_64 0:4.3p2-72.el5_7.5                                      
  rsync.x86_64 0:3.0.6-4.el5_7.1                                                
  samba-client.x86_64 0:3.0.33-3.29.el5_7.4                                     
  samba-common.x86_64 0:3.0.33-3.29.el5_7.4                                     
  tzdata.x86_64 0:2011h-2.el5                                                   
  yum-rhn-plugin.noarch 0:0.5.4-22.el5_7.2                                      

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ...

Comment 30 Kedar Bidarkar 2011-09-16 13:00:25 UTC
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching Host Details 
######################################################################################
This is not a Hourly image

## Summary ##
FAILURES = 0
FAILED TESTS = 
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 31 wes hayutin 2011-12-16 15:28:53 UTC
closing old bugs


Note You need to log in before you can comment on or make changes to this bug.